/*
Navicat MySQL Data Transfer

Source Server         : 127.0.0.1
Source Server Version : 50719
Source Host           : localhost:3306
Source Database       : course

Target Server Type    : MYSQL
Target Server Version : 50719
File Encoding         : 65001

Date: 2018-04-15 23:31:30
*/

SET FOREIGN_KEY_CHECKS=0;

-- ----------------------------
-- Table structure for choose
-- ----------------------------
DROP TABLE IF EXISTS `choose`;
CREATE TABLE `choose` (
  `choose_no` int(11) NOT NULL AUTO_INCREMENT,
  `student_no` char(11) NOT NULL,
  `course_no` int(11) NOT NULL,
  `score` tinyint(3) unsigned DEFAULT NULL,
  `choose_time` datetime NOT NULL,
  PRIMARY KEY (`choose_no`),
  KEY `choose_student_fk` (`student_no`),
  KEY `choose_course_fk` (`course_no`),
  CONSTRAINT `choose_course_fk` FOREIGN KEY (`course_no`) REFERENCES `course` (`course_no`),
  CONSTRAINT `choose_student_fk` FOREIGN KEY (`student_no`) REFERENCES `student` (`student_no`)
) ENGINE=InnoDB AUTO_INCREMENT=16 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of choose
-- ----------------------------
INSERT INTO `choose` VALUES ('1', '20180001', '2', '40', '2018-04-15 12:08:19');
INSERT INTO `choose` VALUES ('2', '20180001', '1', '50', '2018-04-15 12:09:11');
INSERT INTO `choose` VALUES ('3', '20180002', '3', '60', '2018-04-15 12:12:05');
INSERT INTO `choose` VALUES ('4', '20180002', '2', '70', '2018-04-15 12:12:53');
INSERT INTO `choose` VALUES ('5', '20180003', '1', '80', '2018-04-15 12:13:11');
INSERT INTO `choose` VALUES ('6', '20180004', '2', '90', '2018-04-15 12:13:31');
INSERT INTO `choose` VALUES ('7', '20180005', '3', null, '2018-04-15 12:13:45');
INSERT INTO `choose` VALUES ('8', '20180005', '1', null, '2018-04-15 12:13:59');

-- ----------------------------
-- Table structure for classes
-- ----------------------------
DROP TABLE IF EXISTS `classes`;
CREATE TABLE `classes` (
  `class_no` int(11) NOT NULL AUTO_INCREMENT,
  `class_name` char(20) NOT NULL,
  `department_name` char(20) NOT NULL,
  PRIMARY KEY (`class_no`),
  UNIQUE KEY `class_name` (`class_name`)
) ENGINE=InnoDB AUTO_INCREMENT=6 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of classes
-- ----------------------------
INSERT INTO `classes` VALUES ('1', '2018 自动化1班', '机电工程');
INSERT INTO `classes` VALUES ('2', '2018 自动化2班', '机电工程');
INSERT INTO `classes` VALUES ('3', '2018 自动化3班', '机电工程');
INSERT INTO `classes` VALUES ('4', '2018 计算机1班', '信息科学与技术学院');
INSERT INTO `classes` VALUES ('5', '2018 计算机2班', '信息科学与技术学院');

-- ----------------------------
-- Table structure for course
-- ----------------------------
DROP TABLE IF EXISTS `course`;
CREATE TABLE `course` (
  `course_no` int(11) NOT NULL AUTO_INCREMENT,
  `course_name` char(10) NOT NULL,
  `up_limit` int(11) DEFAULT '60',
  `description` text NOT NULL,
  `status` char(6) DEFAULT '未审核',
  `teacher_no` char(10) NOT NULL,
  PRIMARY KEY (`course_no`),
  UNIQUE KEY `teacher_no` (`teacher_no`),
  CONSTRAINT `course_teacher_fk` FOREIGN KEY (`teacher_no`) REFERENCES `teacher` (`teacher_no`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of course
-- ----------------------------
INSERT INTO `course` VALUES ('1', 'Java语言程序设计', '60', '暂无', '已审核', '001');
INSERT INTO `course` VALUES ('2', 'Mysql数据库', '150', '暂无', '已审核', '002');
INSERT INTO `course` VALUES ('3', 'C语言程序设计', '200', '暂无', '已审核', '003');
INSERT INTO `course` VALUES ('4', 'PHP程序语言设计', '60', '暂无', '未审核', '004');

-- ----------------------------
-- Table structure for student
-- ----------------------------
DROP TABLE IF EXISTS `student`;
CREATE TABLE `student` (
  `student_no` char(11) NOT NULL,
  `student_name` char(10) NOT NULL,
  `student_contact` char(20) NOT NULL,
  `class_no` int(11) DEFAULT NULL,
  PRIMARY KEY (`student_no`),
  KEY `student_class_fk` (`class_no`),
  CONSTRAINT `student_class_fk` FOREIGN KEY (`class_no`) REFERENCES `classes` (`class_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of student
-- ----------------------------
INSERT INTO `student` VALUES ('20180001', '刘一', '13980049901', '1');
INSERT INTO `student` VALUES ('20180002', '陈二', '13980049902', '1');
INSERT INTO `student` VALUES ('20180003', '张三', '13980049903', '1');
INSERT INTO `student` VALUES ('20180004', '李四', '13980049904', '2');
INSERT INTO `student` VALUES ('20180005', '王五', '13980049905', '2');
INSERT INTO `student` VALUES ('20180006', '赵六', '13980049906', '2');
INSERT INTO `student` VALUES ('20180007', '孙七', '13980049907', '3');
INSERT INTO `student` VALUES ('20180008', '周八', '13980049908', '3');
INSERT INTO `student` VALUES ('20180009', '吴九', '13980049909', '3');
INSERT INTO `student` VALUES ('20180010', '郑十', '13980049910', null);

-- ----------------------------
-- Table structure for teacher
-- ----------------------------
DROP TABLE IF EXISTS `teacher`;
CREATE TABLE `teacher` (
  `teacher_no` char(10) NOT NULL,
  `teacher_name` char(10) NOT NULL,
  `teacher_contact` char(20) NOT NULL,
  PRIMARY KEY (`teacher_no`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- ----------------------------
-- Records of teacher
-- ----------------------------
INSERT INTO `teacher` VALUES ('001', '张老师', '13970048801');
INSERT INTO `teacher` VALUES ('002', '李老师', '13970048802');
INSERT INTO `teacher` VALUES ('003', '王老师', '13970048803');
INSERT INTO `teacher` VALUES ('004', '徐老师', '13970048804');
INSERT INTO `teacher` VALUES ('005', '闫老师', '13970048805');
